Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.logical.shared
Class ShowRangeEvent<V>

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<ShowRangeHandler<V>>
              com.google.gwt.event.logical.shared.ShowRangeEvent<V>

Type Parameters:
  `V` - the type of range

    public class ShowRangeEvent<V>

extends GwtEvent<ShowRangeHandler<V>>

Represents a show range event. This logical event should be used when a widget displays a range of values to the user.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `ShowRangeEvent(V start, V end)` Creates a new show range event.

Method Summary
`protected void` | `dispatch(ShowRangeHandler<V> handler)` Should only be called by `HandlerManager`.
`static
`<V,S extends HasShowRangeHandlers<V> & HasHandlers> void`
` | `fire(S source, V start, V end)` Fires a show range event on all registered handlers in the handler manager.
`GwtEvent.Type<ShowRangeHandler<V>>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`V` | `getEnd()` Gets the end of the range.
`V` | `getStart()` Gets the start of the range.
`static GwtEvent.Type<ShowRangeHandler<?>>` | `getType()` Gets the type associated with this event.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShowRangeEvent

    protected ShowRangeEvent(V start,
                             V end)

  Creates a new show range event.

  Parameters:
    `start` - start of the range
    `end` - end of the range

Method Detail

### fire

    public static <V,S extends HasShowRangeHandlers<V> & HasHandlers> void fire(S source,
                                                                               V start,
                                                                               V end)

  Fires a show range event on all registered handlers in the handler manager.

  Type Parameters:
    `V` - the type of range
    `S` - the event source
  Parameters:
    `source` - the source of the handlers
    `start` - the start of the range
    `end` - the end of the range

### getType

    public static GwtEvent.Type<ShowRangeHandler<?>> getType()

  Gets the type associated with this event.

  Returns:
    returns the handler type

### getAssociatedType

    public final GwtEvent.Type<ShowRangeHandler<V>> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<ShowRangeHandler<V>>`
  Returns:
    the type

### getEnd

    public V getEnd()

  Gets the end of the range.

  Returns:
    end of the range

### getStart

    public V getStart()

  Gets the start of the range.

  Returns:
    start of the range

### dispatch

    protected void dispatch(ShowRangeHandler<V> handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<ShowRangeHandler<V>>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD